--- old/usr/src/lib/libdhcpagent/common/dhcp_stable.c	2014-02-20 13:54:46.761576674 +0000
+++ new/usr/src/lib/libdhcpagent/common/dhcp_stable.c	2014-02-20 13:54:46.784589225 +0000
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This module reads and writes the stable identifier values, DUID and IAID.
  */
@@ -143,6 +141,7 @@
 	 */
 
 	if (dlpi_open(physintf, &dh, 0) == DLPI_SUCCESS &&
+	    dlpi_bind(dh, DLPI_ANY_SAP, NULL) == DLPI_SUCCESS &&
 	    dlpi_info(dh, &dlinfo, 0) == DLPI_SUCCESS &&
 	    (len = dlinfo.di_physaddrlen) > 0 &&
 	    (arptype = dlpi_arptype(dlinfo.di_mactype) != 0)) {
--- old/usr/src/lib/libdhcputil/common/dhcp_inittab.c	2014-02-20 13:54:47.455666157 +0000
+++ new/usr/src/lib/libdhcputil/common/dhcp_inittab.c	2014-02-20 13:54:47.470474609 +0000
@@ -507,7 +507,9 @@
 				}
 			}
 		} else {
-			if (dlpi_info(dh, &dlinfo, 0) != DLPI_SUCCESS) {
+			if (dlpi_bind(dh, DLPI_ANY_SAP, NULL) !=
+			    DLPI_SUCCESS || dlpi_info(dh, &dlinfo, 0) !=
+			    DLPI_SUCCESS) {
 				dlpi_close(dh);
 				goto failed;
 			}
